Module org.jfree.chart3d
Package org.jfree.chart3d.axis

# Interface Axis3DChangeListener

All Superinterfaces:
  `EventListener`

All Known Implementing Classes:
  `CategoryPlot3D`, `XYZPlot`

public interface Axis3DChangeListener extends EventListener
A listener for axis change events. The plot classes that have axes (`CategoryPlot3D` and `XYZPlot`) implement this interface so that they can receive notification when the axes are modified.

## Method Summary

Modifier and Type
Method
Description
`void`
`axisChanged(Axis3DChangeEvent event)`
Called to inform that an axis change event has occurred.

## Method Details

### axisChanged

void axisChanged(Axis3DChangeEvent event)
Called to inform that an axis change event has occurred.

Parameters:
  `event` - the event (`null` not permitted).